<template>
    <card title="Form inputs" icon="format_align_justify">
        <div slot="body">
            <vue-form-generator :schema="exampleFormParams.schema" :model="exampleFormParams.model"
                                :options="exampleFormParams.formOptions"></vue-form-generator>
        </div>
        <div slot="footer">
            <button type="submit" class="btn btn-fill btn-rose">Submit</button>
            <b-btn @click="form.showFormInfoAlert = !form.showFormInfoAlert" variant="info" class="m-1"
                   style="position: fixed; right:10px; bottom:10px;">
                Show form info
            </b-btn>
            <b-alert variant="info"
                     dismissible
                     :show="form.showFormInfoAlert"
                     @dismissed="form.showFormInfoAlert=false"
                     style="position: fixed; right:10px; bottom:50px; width:300px; max-height: 500px; overflow: scroll">
                <pre class="text-left">{{exampleFormParams.model}}</pre>
                <pre class="text-left">{{exampleFormParams.model}}</pre>
            </b-alert>
        </div>

    </card>

</template>

<script>
    import {exampleFormParams} from './schemes/formExample'
    import Card from '../Card'

    export default {

        components: {
            'card': Card
        },
        data() {
            return {
                exampleFormParams: exampleFormParams,
                cardTitle: 'Form examples',
                cardIcon: 'mail',
                form: {
                    showFormInfoAlert: false,
                    env: process.env.NODE_ENV === 'development'
                },

            }
        }
    }
</script>